/jira-servicedesk-requests | Type: Application | PCID required: Yes
Tools
jira-servicedesk-requests_add_request_participants
Add request participants Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
issueIdOrKey | string | Yes | — | The ID or key of the customer request to have participants added. |
accountIds | string[] | No | — | List of users, specified by account IDs, to add to or remove as participants in the request. |
usernames | string[] | No | — | This property is no longer available and will be removed from the documentation soon. See the deprecation notice for details. Use accountIds instead. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"issueIdOrKey": {
"type": "string",
"description": "The ID or key of the customer request to have participants added."
},
"accountIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of users, specified by account IDs, to add to or remove as participants in the request."
},
"usernames": {
"type": "array",
"items": {
"type": "string"
},
"description": "This property is no longer available and will be removed from the documentation soon. See the [deprecation notice](https://developer.atlassian.com/cloud/jira/platform/deprecation-notice-user-privacy-api-migration-guide/) for details. Use `accountIds` instead."
}
},
"required": [
"PCID",
"issueIdOrKey"
]
}
jira-servicedesk-requests_answer_approval
Answer approval Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
issueIdOrKey | string | Yes | — | The ID or key of the customer request to be updated. |
approvalId | integer | Yes | — | The ID of the approval to be updated. |
decision | string | Yes | — | Response to the approval request. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"issueIdOrKey": {
"type": "string",
"description": "The ID or key of the customer request to be updated."
},
"approvalId": {
"type": "integer",
"description": "The ID of the approval to be updated."
},
"decision": {
"type": "string",
"description": "Response to the approval request.",
"enum": [
"approve",
"decline"
]
}
},
"required": [
"PCID",
"issueIdOrKey",
"approvalId",
"decision"
]
}
jira-servicedesk-requests_create_customer_request
Create customer request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
channel | string | No | — | (Experimental) Shows extra information for the request channel. |
form | object | No | — | Provides answers to the form associated with a request type. Omit Jira fields from requestFieldValues if they’re linked to form answers. For form answers in ADF format, set isAdfRequest to true. |
isAdfRequest | boolean | No | — | (Experimental) Whether to accept rich text fields in Atlassian Document Format (ADF). |
raiseOnBehalfOf | string | No | — | The accountId of the customer that the request is being raised on behalf of. |
requestFieldValues | object | Yes | — | JSON map of Jira field IDs and their values representing the content of the request. |
requestParticipants | string[] | No | — | List of customers to participate in the request, as a list of accountId values. |
requestTypeId | string | Yes | — | ID of the request type for the request. |
serviceDeskId | string | Yes | — | ID of the service desk in which to create the request. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"channel": {
"type": "string",
"description": "(Experimental) Shows extra information for the request channel."
},
"form": {
"type": "object",
"description": "Provides answers to the form associated with a request type. Omit Jira fields from `requestFieldValues` if they're linked to form answers. For form answers in ADF format, set `isAdfRequest` to true."
},
"isAdfRequest": {
"type": "boolean",
"description": "(Experimental) Whether to accept rich text fields in Atlassian Document Format (ADF)."
},
"raiseOnBehalfOf": {
"type": "string",
"description": "The `accountId` of the customer that the request is being raised on behalf of."
},
"requestFieldValues": {
"type": "object",
"description": "JSON map of Jira field IDs and their values representing the content of the request."
},
"requestParticipants": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of customers to participate in the request, as a list of `accountId` values."
},
"requestTypeId": {
"type": "string",
"description": "ID of the request type for the request."
},
"serviceDeskId": {
"type": "string",
"description": "ID of the service desk in which to create the request."
}
},
"required": [
"PCID",
"requestFieldValues",
"requestTypeId",
"serviceDeskId"
]
}
jira-servicedesk-requests_create_request_comment
Create request comment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
issueIdOrKey | string | Yes | — | The ID or key of the customer request to which the comment will be added. |
body | string | Yes | — | Content of the comment. |
public | boolean | No | — | Indicates whether the comment is public (true) or private/internal (false). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"issueIdOrKey": {
"type": "string",
"description": "The ID or key of the customer request to which the comment will be added."
},
"body": {
"type": "string",
"description": "Content of the comment."
},
"public": {
"type": "boolean",
"description": "Indicates whether the comment is public (true) or private/internal (false)."
}
},
"required": [
"PCID",
"issueIdOrKey",
"body"
]
}
jira-servicedesk-requests_delete_feedback
Delete feedback Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestIdOrKey | string | Yes | — | The id or the key of the request to post the feedback on |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"requestIdOrKey": {
"type": "string",
"description": "The id or the key of the request to post the feedback on"
}
},
"required": [
"PCID",
"requestIdOrKey"
]
}
jira-servicedesk-requests_get_approval_by_id
Get approval by id Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
issueIdOrKey | string | Yes | — | The ID or key of the customer request the approval is on. |
approvalId | integer | Yes | — | The ID of the approval to be returned. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"issueIdOrKey": {
"type": "string",
"description": "The ID or key of the customer request the approval is on."
},
"approvalId": {
"type": "integer",
"description": "The ID of the approval to be returned."
}
},
"required": [
"PCID",
"issueIdOrKey",
"approvalId"
]
}
jira-servicedesk-requests_get_approvals
Get approvals Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
start | integer | No | — | The starting index of the returned objects. Base index: 0. See the Pagination section for more details. |
limit | integer | No | — | The maximum number of approvals to return per page. Default: 50. See the Pagination section for more details. |
issueIdOrKey | string | Yes | — | The ID or key of the customer request to be queried for its approvals. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"start": {
"type": "integer",
"description": "The starting index of the returned objects. Base index: 0. See the [Pagination](#pagination) section for more details."
},
"limit": {
"type": "integer",
"description": "The maximum number of approvals to return per page. Default: 50. See the [Pagination](#pagination) section for more details."
},
"issueIdOrKey": {
"type": "string",
"description": "The ID or key of the customer request to be queried for its approvals."
}
},
"required": [
"PCID",
"issueIdOrKey"
]
}
jira-servicedesk-requests_get_attachments_for_request
Get attachments for request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
issueIdOrKey | string | Yes | — | The ID or key of the customer request from which the attachments will be listed. |
start | integer | Yes | — | The starting index of the returned attachment. Base index: 0. See the Pagination section for more details. |
limit | integer | Yes | — | The maximum number of comments to return per page. Default: 50. See the Pagination section for more details. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"issueIdOrKey": {
"type": "string",
"description": "The ID or key of the customer request from which the attachments will be listed."
},
"start": {
"type": "integer",
"description": "The starting index of the returned attachment. Base index: 0. See the [Pagination](#pagination) section for more details."
},
"limit": {
"type": "integer",
"description": "The maximum number of comments to return per page. Default: 50. See the [Pagination](#pagination) section for more details."
}
},
"required": [
"PCID",
"issueIdOrKey",
"start",
"limit"
]
}
jira-servicedesk-requests_get_customer_request_by_id_or_key
Get customer request by id or key Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
issueIdOrKey | string | Yes | — | The ID or Key of the customer request to be returned |
expand | string[] | No | — | A multi-value parameter indicating which properties of the customer request to expand, where: * serviceDesk returns additional service desk details. * requestType returns additional customer request type details. * participant returns the participant details. * sla returns the SLA information. * status returns the status transitions, in chronological order. * attachment returns the attachments. * action returns the actions that the user can or cannot perform. * comment returns the comments. * comment.attachment returns the attachment details for each comment. * comment.renderedBody (Experimental) return the rendered body in HTML format (in addition to the raw body) for each comment. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"issueIdOrKey": {
"type": "string",
"description": "The ID or Key of the customer request to be returned"
},
"expand": {
"type": "array",
"items": {
"type": "string"
},
"description": "A multi-value parameter indicating which properties of the customer request to expand, where: * `serviceDesk` returns additional service desk details. * `requestType` returns additional customer request type details. * `participant` returns the participant details. * `sla` returns the SLA information. * `status` returns the status transitions, in chronological order. * `attachment` returns the attachments. * `action` returns the actions that the user can or cannot perform. * `comment` returns the comments. * `comment.attachment` returns the attachment details for each comment. * `comment.renderedBody` (Experimental) return the rendered body in HTML format (in addition to the raw body) for each comment."
}
},
"required": [
"PCID",
"issueIdOrKey"
]
}
jira-servicedesk-requests_get_customer_request_status
Get customer request status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
issueIdOrKey | string | Yes | — | The ID or key of the customer request to be retrieved. |
start | integer | No | — | The starting index of the returned objects. Base index: 0. See the Pagination section for more details. |
limit | integer | No | — | The maximum number of items to return per page. Default: 50. See the Pagination section for more details. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"issueIdOrKey": {
"type": "string",
"description": "The ID or key of the customer request to be retrieved."
},
"start": {
"type": "integer",
"description": "The starting index of the returned objects. Base index: 0. See the [Pagination](#pagination) section for more details."
},
"limit": {
"type": "integer",
"description": "The maximum number of items to return per page. Default: 50. See the [Pagination](#pagination) section for more details."
}
},
"required": [
"PCID",
"issueIdOrKey"
]
}
jira-servicedesk-requests_get_customer_requests
Get customer requests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
searchTerm | string | No | — | Filters customer requests where the request summary matches the searchTerm. Wildcards can be used in the searchTerm parameter. |
requestOwnership | string[] | No | — | Filters customer requests using the following values: * OWNED_REQUESTS returns customer requests where the user is the creator. * PARTICIPATED_REQUESTS returns customer requests where the user is a participant. * ORGANIZATION returns customer requests for an organization of which the user is a member when used in conjunction with organizationId. * ALL_ORGANIZATIONS returns customer requests that belong to all organizations of which the user is a member. * APPROVER returns customer requests where the user is an approver. Can be used in conjunction with approvalStatus to filter pending or complete approvals. * ALL_REQUESTS returns all customer requests. Deprecated and will be removed, as the returned requests may change if more values are added in the future. Instead, explicitly list the desired filtering strategies. Multiple values of the query parameter are supported. For example, requestOwnership=OWNED_REQUESTS&requestOwnership=PARTICIPATED_REQUESTS will only return customer requests where the user is the creator or a participant. If not specified, filtering defaults to OWNED_REQUESTS, PARTICIPATED_REQUESTS, and ALL_ORGANIZATIONS. |
requestStatus | string | No | — | Filters customer requests where the request is closed, open, or either of the two where: * CLOSED_REQUESTS returns customer requests that are closed. * OPEN_REQUESTS returns customer requests that are open. * ALL_REQUESTS returns all customer requests. |
approvalStatus | string | No | — | Filters results to customer requests based on their approval status: * MY_PENDING_APPROVAL returns customer requests pending the user’s approval. * MY_HISTORY_APPROVAL returns customer requests where the user was an approver. Note: Valid only when used with requestOwnership=APPROVER. |
organizationId | integer | No | — | Filters customer requests that belong to a specific organization (note that the user must be a member of that organization). Note: Valid only when used with requestOwnership=ORGANIZATION. |
serviceDeskId | integer | No | — | Filters customer requests by service desk. |
requestTypeId | integer | No | — | Filters customer requests by request type. Note that the serviceDeskId must be specified for the service desk in which the request type belongs. |
expand | string[] | No | — | A multi-value parameter indicating which properties of the customer request to expand, where: * serviceDesk returns additional details for each service desk. * requestType returns additional details for each request type. * participant returns the participant details, if any, for each customer request. * sla returns the SLA information on each customer request. * status returns the status transitions, in chronological order, for each customer request. * attachment returns the attachments for the customer request. * action returns the actions that the user can or cannot perform on this customer request. * comment returns the comments, if any, for each customer request. * comment.attachment returns the attachment details, if any, for each comment. * comment.renderedBody (Experimental) returns the rendered body in HTML format (in addition to the raw body) for each comment. |
start | integer | No | — | The starting index of the returned objects. Base index: 0. See the Pagination section for more details. |
limit | integer | No | — | The maximum number of items to return per page. Default: 50. See the Pagination section for more details. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"searchTerm": {
"type": "string",
"description": "Filters customer requests where the request summary matches the `searchTerm`. [Wildcards](https://confluence.atlassian.com/display/JIRACORECLOUD/Search+syntax+for+text+fields) can be used in the `searchTerm` parameter."
},
"requestOwnership": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filters customer requests using the following values: * `OWNED_REQUESTS` returns customer requests where the user is the creator. * `PARTICIPATED_REQUESTS` returns customer requests where the user is a participant. * `ORGANIZATION` returns customer requests for an organization of which the user is a member when used in conjunction with `organizationId`. * `ALL_ORGANIZATIONS` returns customer requests that belong to all organizations of which the user is a member. * `APPROVER` returns customer requests where the user is an approver. Can be used in conjunction with `approvalStatus` to filter pending or complete approvals. * `ALL_REQUESTS` returns all customer requests. **Deprecated and will be removed, as the returned requests may change if more values are added in the future. Instead, explicitly list the desired filtering strategies.** Multiple values of the query parameter are supported. For example, `requestOwnership=OWNED_REQUESTS&requestOwnership=PARTICIPATED_REQUESTS` will only return customer requests where the user is the creator or a participant. If not specified, filtering defaults to `OWNED_REQUESTS`, `PARTICIPATED_REQUESTS`, and `ALL_ORGANIZATIONS`."
},
"requestStatus": {
"type": "string",
"description": "Filters customer requests where the request is closed, open, or either of the two where: * `CLOSED_REQUESTS` returns customer requests that are closed. * `OPEN_REQUESTS` returns customer requests that are open. * `ALL_REQUESTS` returns all customer requests."
},
"approvalStatus": {
"type": "string",
"description": "Filters results to customer requests based on their approval status: * `MY_PENDING_APPROVAL` returns customer requests pending the user's approval. * `MY_HISTORY_APPROVAL` returns customer requests where the user was an approver. **Note**: Valid only when used with requestOwnership=APPROVER."
},
"organizationId": {
"type": "integer",
"description": "Filters customer requests that belong to a specific organization (note that the user must be a member of that organization). **Note**: Valid only when used with requestOwnership=ORGANIZATION."
},
"serviceDeskId": {
"type": "integer",
"description": "Filters customer requests by service desk."
},
"requestTypeId": {
"type": "integer",
"description": "Filters customer requests by request type. Note that the `serviceDeskId` must be specified for the service desk in which the request type belongs."
},
"expand": {
"type": "array",
"items": {
"type": "string"
},
"description": "A multi-value parameter indicating which properties of the customer request to expand, where: * `serviceDesk` returns additional details for each service desk. * `requestType` returns additional details for each request type. * `participant` returns the participant details, if any, for each customer request. * `sla` returns the SLA information on each customer request. * `status` returns the status transitions, in chronological order, for each customer request. * `attachment` returns the attachments for the customer request. * `action` returns the actions that the user can or cannot perform on this customer request. * `comment` returns the comments, if any, for each customer request. * `comment.attachment` returns the attachment details, if any, for each comment. * `comment.renderedBody` (Experimental) returns the rendered body in HTML format (in addition to the raw body) for each comment."
},
"start": {
"type": "integer",
"description": "The starting index of the returned objects. Base index: 0. See the [Pagination](#pagination) section for more details."
},
"limit": {
"type": "integer",
"description": "The maximum number of items to return per page. Default: 50. See the [Pagination](#pagination) section for more details."
}
},
"required": [
"PCID"
]
}
jira-servicedesk-requests_get_customer_transitions
Get customer transitions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
issueIdOrKey | string | Yes | — | The ID or key of the customer request whose transitions will be retrieved. |
start | integer | No | — | The starting index of the returned objects. Base index: 0. See the Pagination section for more details. |
limit | integer | No | — | The maximum number of items to return per page. Default: 50. See the Pagination section for more details. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"issueIdOrKey": {
"type": "string",
"description": "The ID or key of the customer request whose transitions will be retrieved."
},
"start": {
"type": "integer",
"description": "The starting index of the returned objects. Base index: 0. See the [Pagination](#pagination) section for more details."
},
"limit": {
"type": "integer",
"description": "The maximum number of items to return per page. Default: 50. See the [Pagination](#pagination) section for more details."
}
},
"required": [
"PCID",
"issueIdOrKey"
]
}
jira-servicedesk-requests_get_feedback
Get feedback Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestIdOrKey | string | Yes | — | The id or the key of the request to post the feedback on |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"requestIdOrKey": {
"type": "string",
"description": "The id or the key of the request to post the feedback on"
}
},
"required": [
"PCID",
"requestIdOrKey"
]
}
jira-servicedesk-requests_get_request_comment_by_id
Get request comment by id Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
issueIdOrKey | string | Yes | — | The ID or key of the customer request that contains the comment. |
commentId | integer | Yes | — | The ID of the comment to retrieve. |
expand | string[] | No | — | A multi-value parameter indicating which properties of the comment to expand: * attachment returns the attachment details, if any, for the comment. (If you want to get all attachments for a request, use servicedeskapi/request/{issueIdOrKey}/attachment.) * renderedBody (Experimental) returns the rendered body in HTML format (in addition to the raw body) of the comment. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"issueIdOrKey": {
"type": "string",
"description": "The ID or key of the customer request that contains the comment."
},
"commentId": {
"type": "integer",
"description": "The ID of the comment to retrieve."
},
"expand": {
"type": "array",
"items": {
"type": "string"
},
"description": "A multi-value parameter indicating which properties of the comment to expand: * `attachment` returns the attachment details, if any, for the comment. (If you want to get all attachments for a request, use [servicedeskapi/request/\\{issueIdOrKey\\}/attachment](#api-request-issueIdOrKey-attachment-get).) * `renderedBody` (Experimental) returns the rendered body in HTML format (in addition to the raw body) of the comment."
}
},
"required": [
"PCID",
"issueIdOrKey",
"commentId"
]
}
jira-servicedesk-requests_get_request_comments
Get request comments Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
issueIdOrKey | string | Yes | — | The ID or key of the customer request whose comments will be retrieved. |
public | boolean | No | — | Specifies whether to return public comments or not. Default: true. |
internal | boolean | No | — | Specifies whether to return internal comments or not. Default: true. |
expand | string[] | No | — | A multi-value parameter indicating which properties of the comment to expand: * attachment returns the attachment details, if any, for each comment. (If you want to get all attachments for a request, use servicedeskapi/request/{issueIdOrKey}/attachment.) * renderedBody (Experimental) returns the rendered body in HTML format (in addition to the raw body) for each comment. |
start | integer | No | — | The starting index of the returned comments. Base index: 0. See the Pagination section for more details. |
limit | integer | No | — | The maximum number of comments to return per page. Default: 50. See the Pagination section for more details. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"issueIdOrKey": {
"type": "string",
"description": "The ID or key of the customer request whose comments will be retrieved."
},
"public": {
"type": "boolean",
"description": "Specifies whether to return public comments or not. Default: true."
},
"internal": {
"type": "boolean",
"description": "Specifies whether to return internal comments or not. Default: true."
},
"expand": {
"type": "array",
"items": {
"type": "string"
},
"description": "A multi-value parameter indicating which properties of the comment to expand: * `attachment` returns the attachment details, if any, for each comment. (If you want to get all attachments for a request, use [servicedeskapi/request/\\{issueIdOrKey\\}/attachment](#api-request-issueIdOrKey-attachment-get).) * `renderedBody` (Experimental) returns the rendered body in HTML format (in addition to the raw body) for each comment."
},
"start": {
"type": "integer",
"description": "The starting index of the returned comments. Base index: 0. See the [Pagination](#pagination) section for more details."
},
"limit": {
"type": "integer",
"description": "The maximum number of comments to return per page. Default: 50. See the [Pagination](#pagination) section for more details."
}
},
"required": [
"PCID",
"issueIdOrKey"
]
}
jira-servicedesk-requests_get_request_participants
Get request participants Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
issueIdOrKey | string | Yes | — | The ID or key of the customer request to be queried for its participants. |
start | integer | No | — | The starting index of the returned objects. Base index: 0. See the Pagination section for more details. |
limit | integer | No | — | The maximum number of request types to return per page. Default: 50. See the Pagination section for more details. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"issueIdOrKey": {
"type": "string",
"description": "The ID or key of the customer request to be queried for its participants."
},
"start": {
"type": "integer",
"description": "The starting index of the returned objects. Base index: 0. See the [Pagination](#pagination) section for more details."
},
"limit": {
"type": "integer",
"description": "The maximum number of request types to return per page. Default: 50. See the [Pagination](#pagination) section for more details."
}
},
"required": [
"PCID",
"issueIdOrKey"
]
}
jira-servicedesk-requests_get_subscription_status
Get subscription status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
issueIdOrKey | string | Yes | — | The ID or key of the customer request to be queried for subscription status. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"issueIdOrKey": {
"type": "string",
"description": "The ID or key of the customer request to be queried for subscription status."
}
},
"required": [
"PCID",
"issueIdOrKey"
]
}
jira-servicedesk-requests_perform_customer_transition
Perform customer transition Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
issueIdOrKey | string | Yes | — | ID or key of the issue to transition |
additionalComment | object | No | — | Comment explaining the reason for the transition. |
id | string | Yes | — | ID of the transition to be performed. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"issueIdOrKey": {
"type": "string",
"description": "ID or key of the issue to transition"
},
"additionalComment": {
"type": "object",
"description": "Comment explaining the reason for the transition."
},
"id": {
"type": "string",
"description": "ID of the transition to be performed."
}
},
"required": [
"PCID",
"issueIdOrKey",
"id"
]
}
jira-servicedesk-requests_post_feedback
Post feedback Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestIdOrKey | string | Yes | — | The id or the key of the request to post the feedback on |
comment | object | No | — | (Optional) The comment provided with this feedback. |
rating | integer | Yes | — | A numeric representation of the rating, this must be an integer value between 1 and 5. |
type | string | Yes | — | Indicates the type of feedback, supported values: csat. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"requestIdOrKey": {
"type": "string",
"description": "The id or the key of the request to post the feedback on"
},
"comment": {
"type": "object",
"description": "(Optional) The comment provided with this feedback."
},
"rating": {
"type": "integer",
"description": "A numeric representation of the rating, this must be an integer value between 1 and 5."
},
"type": {
"type": "string",
"description": "Indicates the type of feedback, supported values: `csat`."
}
},
"required": [
"PCID",
"requestIdOrKey",
"rating",
"type"
]
}
jira-servicedesk-requests_remove_request_participants
Remove request participants Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
issueIdOrKey | string | Yes | — | The ID or key of the customer request to have participants removed. |
accountIds | string[] | No | — | List of users, specified by account IDs, to add to or remove as participants in the request. |
usernames | string[] | No | — | This property is no longer available and will be removed from the documentation soon. See the deprecation notice for details. Use accountIds instead. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"issueIdOrKey": {
"type": "string",
"description": "The ID or key of the customer request to have participants removed."
},
"accountIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of users, specified by account IDs, to add to or remove as participants in the request."
},
"usernames": {
"type": "array",
"items": {
"type": "string"
},
"description": "This property is no longer available and will be removed from the documentation soon. See the [deprecation notice](https://developer.atlassian.com/cloud/jira/platform/deprecation-notice-user-privacy-api-migration-guide/) for details. Use `accountIds` instead."
}
},
"required": [
"PCID",
"issueIdOrKey"
]
}
jira-servicedesk-requests_subscribe
Subscribe Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
issueIdOrKey | string | Yes | — | The ID or key of the customer request to be subscribed to. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"issueIdOrKey": {
"type": "string",
"description": "The ID or key of the customer request to be subscribed to."
}
},
"required": [
"PCID",
"issueIdOrKey"
]
}
jira-servicedesk-requests_unsubscribe
Unsubscribe Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
issueIdOrKey | string | Yes | — | The ID or key of the customer request to be unsubscribed from. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"issueIdOrKey": {
"type": "string",
"description": "The ID or key of the customer request to be unsubscribed from."
}
},
"required": [
"PCID",
"issueIdOrKey"
]
}

